<script>
    import Saos from 'saos';
    import Sponsor from '@/components/sponsor.svelte';
    import back from '@/plugins/axios.js';

    let sponsors = [];

    back.get('/sponsors/')
        .then(response => {
            sponsors = response.data;
            // Odd or even is used to not have a uniform grid
            for (let i = 0; i < sponsors.length; i++) {
                sponsors[i].odd = i%2;
            }
        })
        .catch(error => {
            console.log(error);
        });
</script>

<style>
    @media (min-width: 500px) {
        @keyframes -global-from-left {
            0% {
                transform: rotateX(50deg) translateX(-200vw) skewX(-50deg);
                opacity: 1;
            }
            100% {
                transform: rotateX(0deg) translateX(0) skewX(0deg);
                opacity: 1;
            }
        }
        
        @keyframes -global-from-right {
            0% {
                transform: rotateX(50deg) translateX(200vw) skewX(50deg);
                opacity: 1;
            }
            100% {
                transform: rotateX(0deg) translateX(0) skewX(0deg);
                opacity: 1;
            }
        }
    }
</style>

<div class="w-full justify-center justify-items-center">
    <div class="grid lg:grid-cols-3 md:grid-cols-2 justify-center justify-items-center -mt-10">
        {#each sponsors as s}
            {#if s.odd == 0}
                <div class="mt-20 mb-20">
                    <Saos once={true} animation="from-left .25s cubic-bezier(.25,.46,.45,.94) both">
                        <Sponsor sponsor={s} />
                    </Saos>
                </div>
            {:else}
                <div class="mt-20 mb-20 md:pt-64">
                    <Saos once={true} animation="from-right .25s cubic-bezier(.25,.46,.45,.94) both">
                        <Sponsor sponsor={s} />
                    </Saos>
                </div>
            {/if}
        {/each}
    </div>
</div>